tys.auditEvents.list()
list(params: AuditEventListParams = {}, options?: RequestOptions): PagePromise<AuditEventPage, AuditEvent>Parameters
Section titled “Parameters”paramsAuditEventListParamsOptional= {}action (a trailing . matches a prefix), actor, store_id, target, from, to, limit (≤ 200), cursor.
optionsRequestOptionsOptionalReturns
Section titled “Returns”PagePromise<AuditEventPage, AuditEvent>: Audit events, newest first. Await it for one page ({ data, has_more, next_cursor }), or for await over every item. See PagePromise.
Example
Section titled “Example”for await (const e of tys.auditEvents.list({ action: "api_key." })) { console.log(e.created_at, e.actor_type, e.action);}for event in tys.audit_events.list(action="api_key.").auto_paging_iter(): print(event["created_at"], event["actor_type"], event["action"])curl "https://api.tryyoursize.com/v1/audit_events?action=api_key." \ -H "Authorization: Bearer $TRYYOURSIZE_RESTRICTED_KEY" \ -H "TYS-Version: 2026-10-25"See also
Section titled “See also”Was this page helpful?
Thank you. We read every answer.